%define module	Net-DNS
%define name	perl-%{module}
%define version	0.61
%define release	%mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Perl interface to the DNS resolver
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}
Source:		http://www.cpan.org/modules/by-module/Net/%{module}-%{version}.tar.bz2
BuildRequires:	perl-devel
BuildRequires:	perl(Digest::HMAC)
BuildRequires:	perl(Net::IP)
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Net::DNS is a collection of Perl modules that act as a Domain Name System (DNS)
resolver. It allows the programmer to perform DNS queries that are beyond the
capabilities of gethostbyname and gethostbyaddr.

The programmer should be somewhat familiar with the format of a DNS packet and
its various sections. See RFC 1035 or DNS and BIND (Albitz & Liu) for details.

%prep
%setup -q -n %{module}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor < /dev/null
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README Changes
%{_mandir}/*/*
%{perl_vendorarch}/auto/Net
%{perl_vendorarch}/Net



%changelog
* Wed Aug 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.61-1mdv2008.0
+ Revision: 63960
- update to new version 0.61

* Sun Jul 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.60-1mdv2008.0
+ Revision: 46532
- update to new version 0.60


* Thu Sep 28 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.59-1mdv2007.0
- New version 0.59

* Mon Jul 10 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.58-1mdv2007.0
- New version 0.58

* Wed Mar 01 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.57-1mdk
- New release 0.57

* Thu Dec 15 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.55-1mdk
- New release 0.55

* Wed Dec 14 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.54-1mdk
- New release 0.54

* Mon Oct 03 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.53-1mdk
- new version
- %%mkrel

* Tue Sep 27 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.52-2mdk
- rpmbuildupate aware
- spec cleanup
- better summary and description
- drop useless requires exception

* Fri Jul 15 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.52-1mdk
- 0.52

* Thu Jun 23 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.51-2mdk
- BuildRequires perl-Net-IP

* Tue Jun 14 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.51-1mdk
- 0.51

* Mon May 02 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.49-1mdk
- 0.49

* Tue Nov 16 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.48-3mdk
- rebuild for new perl

* Mon Aug 30 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.48-2mdk
- add BuildRequires: perl-Digest-HMAC

* Mon Aug 23 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.48-1mdk
- 0.48.
- Add make test.

* Thu Apr 15 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.47-1mdk
- 0.47.

